<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="android.view.View" />
        <variable
            name="vm"
            type="com.example.iot_controlhost.ui.fragment.AutoFragmentPresenter" />
    </data>

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@mipmap/bg_auto_param"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:gravity="center"
                android:onClick="@{()->vm.setAutoParam(0)}"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/ll_tem_auto"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{vm.targetTemperature}"
                        android:textColor="@color/white"
                        android:textSize="70sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="@string/T_symbol"
                        android:textColor="@color/white" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_tem_manual"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="手动控制"
                        android:textColor="@color/color_yellow"
                        android:textSize="50sp"
                        android:textStyle="bold" />
                </LinearLayout>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/target_temperature"
                    android:textColor="@color/white" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:gravity="center"
                android:onClick="@{()->vm.setAutoParam(1)}"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/ll_hum_auto"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{vm.targetHumidity}"
                        android:textColor="@color/white"
                        android:textSize="70sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="@string/H_symbol"
                        android:textColor="@color/white" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_hum_manual"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="手动控制"
                        android:textColor="@color/color_yellow"
                        android:textSize="50sp"
                        android:textStyle="bold" />
                </LinearLayout>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/target_humidity"
                    android:textColor="@color/white" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:gravity="center"
                android:onClick="@{()->vm.setAutoParam(2)}"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/ll_ven_auto"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="@string/start"
                        android:textColor="@color/white"
                        android:textSize="50sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tv_target_start"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="@{vm.targetStart}"
                        android:textColor="@color/white"
                        android:textSize="50sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="@string/stop"
                        android:textColor="@color/white"
                        android:textSize="50sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tv_target_stop"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="@{vm.targetStop}"
                        android:textColor="@color/white"
                        android:textSize="50sp"
                        android:textStyle="bold" />
                </LinearLayout>
                <LinearLayout
                    android:id="@+id/ll_ven_manual"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingVertical="10dp"
                        android:text="手动控制"
                        android:textColor="@color/color_yellow"
                        android:textSize="50sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="换气间隔"
                    android:textColor="@color/white" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <androidx.cardview.widget.CardView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="#FF9C00"
                    app:cardCornerRadius="10dp">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/card_floor"
                        android:layout_width="match_parent"
                        android:background="#FF9C00"
                        android:layout_height="match_parent">

                        <ImageView
                            android:id="@+id/iv_controller_floor"
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginTop="20dp"
                            android:layout_weight="1"
                            android:padding="30dp"
                            android:scaleType="center"
                            android:src="@mipmap/floor"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_floor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintHorizontal_bias="0"
                            android:layout_marginStart="7dp"
                            android:textSize="24sp"
                            android:text="地暖"
                            android:textStyle="bold"
                            android:textColor="#ffffffff"
                            app:layout_constraintBottom_toBottomOf="@+id/iv_controller_floor"
                            app:layout_constraintEnd_toStartOf="@+id/iv_power_floor"
                            app:layout_constraintStart_toEndOf="@+id/iv_controller_floor"
                            app:layout_constraintTop_toTopOf="@+id/iv_controller_floor" />

                        <ImageView
                            android:id="@+id/iv_power_floor"
                            android:layout_width="60dp"
                            android:layout_height="60dp"
                            android:src="@mipmap/power"
                            android:scaleType="center"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_state_floor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:text="未启动"
                            android:textColor="#ffffffff"
                            android:textSize="24sp"
                            app:layout_constraintStart_toStartOf="@+id/iv_controller_floor"
                            app:layout_constraintTop_toBottomOf="@+id/iv_controller_floor" />

                        <TextView
                            android:id="@+id/tv_power_floor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="当前功率：--"
                            android:textColor="#B3FFFFFF"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_state_floor" />

                        <TextView
                            android:id="@+id/tv_floor_t"
                            android:layout_width="0dp"
                            android:layout_height="27dp"
                            android:layout_marginEnd="10dp"
                            android:text="@{vm.floorT}"
                            android:textColor="#B3FFFFFF"
                            android:textSize="20sp"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_state_floor"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@+id/tv_state_floor" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="#FF9C00"
                    app:cardCornerRadius="10dp">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/card_air"
                        android:layout_width="match_parent"
                        android:background="#FF9C00"
                        android:layout_height="match_parent">

                        <ImageView
                            android:id="@+id/iv_controller_air"
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginTop="20dp"
                            android:layout_weight="1"
                            android:padding="30dp"
                            android:src="@mipmap/floor"
                            android:scaleType="center"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_air"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintHorizontal_bias="0"
                            android:layout_marginStart="10dp"
                            android:textSize="24sp"
                            android:text="空调"
                            android:textStyle="bold"
                            android:textColor="#ffffffff"
                            app:layout_constraintBottom_toBottomOf="@+id/iv_controller_air"
                            app:layout_constraintEnd_toStartOf="@+id/iv_power_air"
                            app:layout_constraintStart_toEndOf="@+id/iv_controller_air"
                            app:layout_constraintTop_toTopOf="@+id/iv_controller_air" />

                        <ImageView
                            android:id="@+id/iv_power_air"
                            android:layout_width="60dp"
                            android:layout_height="60dp"
                            android:src="@mipmap/power"
                            android:scaleType="center"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_state_air"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:text="未启动"
                            android:textColor="#ffffffff"
                            android:textSize="24sp"
                            app:layout_constraintStart_toStartOf="@+id/iv_controller_air"
                            app:layout_constraintTop_toBottomOf="@+id/iv_controller_air" />

                        <TextView
                            android:id="@+id/tv_power_air"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="当前功率：--"
                            android:textColor="#B3FFFFFF"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_state_air" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>

            </LinearLayout>
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycle_view"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                tools:itemCount="3"
                tools:listitem="@layout/item_controller_auto" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycle_view2"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:itemCount="3"
                tools:listitem="@layout/item_controller" />

        </LinearLayout>

    </LinearLayout>
</layout>

